<?php
include("config.php");

$monto = $_POST["monto"];
$amonto = $monto;
$pagadas = "";

$id = $_POST["id"];;



$tasa = $_POST["tasa"];
$id_cliente =  $_POST["id_cliente"];
$cobrador = $_POST["cobrador"];
$buscar_prestamos = mysql_query("SELECT * FROM prestamos WHERE id_prestamo='$id'");
$filas = mysql_fetch_array($buscar_prestamos);
$cant_cuotas = $filas["cant_cuotas"];
$monto_prestamo = $filas["monto"];

$nuevo_balance = $monto_prestamo - $monto;
$ganancia = $nuevo_balance * $tasa / 100;
$nuevo_balance = $nuevo_balance + $ganancia;

$monto_cuotas = $nuevo_balance / $cant_cuotas;

$intereses = $ganancia / $cant_cuotas;

$nuevo_balance0 = $monto_prestamo - $monto;
$monto_cuotas0 = $nuevo_balance0 / $cant_cuotas;


///FORMULA PARA DIVIDIR EL INTERES Y EL CAPITAL DE UNA CANTIDAD///		
//$cadena = $tasa;
//$buscar = ".";
//$einteres = $tasa;
#$encontrada = strpos($cadena, $buscar);
#if($encontrada){
#	$exp = explode(".",$tasa);
#	$einteres = $exp[0].$exp[1];
#}
#$interes0 = "1.".$einteres;
#$x = $interes0;
#$sin_interes = $monto / $interes0;
#$ainteres = $sin_interes * $tasa / 100;
			
#$interes = round($ainteres,2); 
#$capital = round($sin_interes,2);
////////////////////////////////////////////////////////
$abono_global = $monto * $tasa /100; 
$abono_global = $abono_global + $monto;
$m = mysql_query("UPDATE prestamos SET capital_pagado=capital_pagado + '$monto', fultimo_pago=NOW(), interes_pagado=interes_pagado + 0, balance_capital = balance_capital - '$monto', balance_prestamo=balance_prestamo - '$abono_global'  WHERE id_prestamo='$id'");

$m2 = mysql_query("UPDATE cuotas SET capital='$monto_cuotas0', interes='$intereses', balance='$monto_cuotas'  WHERE pagado<=0 AND id_prestamo='$id'");
if($m AND $m2){
	echo "<script>
	alert('PAGO PROCESADO...$monto');
	alert('PAGO PROCESADO $monto_cuotas');
	window.location.href='r_recibo1.php?id=$id&capital=$monto&interes=0&mora=0&efectivo=$monto&pagadas=0';
</script>";
}else{
	echo "<script>
	alert('ERROR: EL PAGO NO PUDO SER PROCESADO...');
	
</script>";
	
}








?>